Status: Needs Feedback Priority: Could have
Author: Martin Brüggemann Category: Session
Created: 2012-08-30 Assigned To:
Updated: 2014-10-03 Due date:
PHP Version:
Has patch: No
Complexity:
Subject: Add an option to flow3:cache:flush thats keeps user sessions active
Description

At the moment all sessions are being flushed with a

./flow3 flow3:cache:flush

There should be an option to flush all caches except the session storage/cache. Otherwise everytime you deploy a fix to your FLOW3
based SaaS project, all your customers loose their sessions and will have to relogin.

Maybe a small option like

./flow3 flow3:cache:flush --keepSessions

would do the trick.

History
#1 - 2012-08-30 17:20 - Karsten Dambekalns
- Target version set to 2.0 beta 1

#2 - 2012-10-21 00:14 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/15846

#3 - 2012-10-22 12:51 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/15846

#4 - 2012-10-31 12:44 - Karsten Dambekalns
- Assigned To set to Karsten Dambekalns

#5 - 2012-11-19 16:34 - Bastian Waidelich
- Status changed from Under Review to Rejected
- Priority changed from Must have to Won't have this time
Closing according to comments on https://review.typo3.org/#/c/15846/

Martin Brüggemann, Nov 8:

[...] Active Sessions should be removed by default when you flush the flow cache with the --force option.
The fact that flow loggs you out when deploying a new release with flow depends on the session save path.
By default flow sets an internal temporary path as session save path and if you deploy a new release with Surf
there's a new (empty) temporary path without the active sessions -> everyone is logged out!
SOLUTION: Just set a global session save path with TYPO3.Flow.session.PhpSession.savePath (f.e. /tmp)
and your sessions will stay active even if you deploy new releases with surf.
As soon as commit request #15942 is implemented flushing the cache will automatically flush the session
cache because then the session handling will be completley based on the internal Flow caching backend.

#6 - 2013-03-07 16:41 - Bastian Waidelich
- Status changed from Rejected to Needs Feedback
- Assigned To deleted (Karsten Dambekalns)
- Priority changed from Won't have this time to Could have
- Target version deleted (2.0 beta 1)

Hi all,
the solution above does not work any longer, because there is no PhpSession in Flow > 2.

What do you think about extending the FileBackend so that the path is configurable?
Then you could add

Flow_Session_Storage:
  backendOptions:
    cacheDirectory: 'some/other'path'

in your Caches.yaml in order to achieve the same as above?
Does that make sense?

#7 - 2014-10-03 20:17 - Lorenz Ulrich

I migrated this one to Jira: 
https://jira.typo3.org/browse/FLOW-80
